Document hithertoo undocumented HPCTIXFILE option.
ClosedPublic

Authored by ezyang on Mar 17 2017, 1:24 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang created this revision.Mar 17 2017, 1:24 AM
dfeuer requested changes to this revision.Mar 18 2017, 6:47 PM
dfeuer added a subscriber: dfeuer.

I don't mind documenting this in principle, but the whole thing smells a bit funny; it would be even better to fix the funny smell than to just note it. Why don't we have an RTS option for this and allow it to be set at compile time using -with-rtsopts? Are other RTS options controlled by environment variables? If not, maybe this shouldn't be either.

This revision now requires changes to proceed.Mar 18 2017, 6:47 PM
bgamari accepted this revision.Mar 18 2017, 7:38 PM
In D3357#96572, @dfeuer wrote:

I don't mind documenting this in principle, but the whole thing smells a bit funny; it would be even better to fix the funny smell than to just note it. Why don't we have an RTS option for this and allow it to be set at compile time using -with-rtsopts? Are other RTS options controlled by environment variables? If not, maybe this shouldn't be either.

I'm fine with documenting first and fixing later.

dfeuer accepted this revision.Mar 18 2017, 8:02 PM

I've opened Trac #13448 to try to get a better story. In the mean time, the docs are fine.

This revision is now accepted and ready to land.Mar 18 2017, 8:02 PM
dfeuer edited the summary of this revision. (Show Details)Mar 19 2017, 12:52 AM
dfeuer updated the Trac tickets for this revision.
This revision was automatically updated to reflect the committed changes.